package com.ruoyi.flowable.domain.vo;

import java.io.Serializable;
import java.util.Map;

/**
 * 流程实例启动
 *
 * @author JiangYuQi
 * @date 2020-07-07
 */
public class StartTaskVO implements Serializable
{

    private static final long serialVersionUID = 1L;

    //流程实例ID
    private String procDefId;
    private String userId;
    private String userName;
    private String nickName;
    private Map<String, Object> variables;

    public String getProcDefId() {
        return procDefId;
    }

    public void setProcDefId(String procDefId) {
        this.procDefId = procDefId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Map<String, Object> getVariables() {
        return variables;
    }

    public void setVariables(Map<String, Object> variables) {
        this.variables = variables;
    }
}
